{
===============================================================================
  Copyright (©) 2007. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 
  Versión actual: 1.0.0
  Fecha versión actual: 
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
===============================================================================
}

unit uBizTiendaWeb;

interface

uses
  uDAInterfaces, uDADataTable, uDBSelectionListUtils, schTiendaWebClient_Intf;

const
  BIZ_CLIENT_TIENDAWEB = 'Client.TiendaWeb';
  BIZ_CLIENT_OSC_CUSTOMER_INFO = 'Client.OSC.CustomerInfo';


type
  TContenidoActualizable = (caClientes, caProveedores);
  TContenidosActualizables = set of TContenidoActualizable;

  IBizTiendaWeb = interface(ITiendaWeb)
  	['{0B75FCF5-66ED-43DB-877B-AD28FE48B568}']    
    function EsNuevo : Boolean;
  end;

  TBizTiendaWeb = class(TTiendaWebDataTableRules, IBizTiendaWeb)
  protected
    procedure OnNewRecord(Sender: TDADataTable); override;
  public
    procedure IniciarValoresTiendaWebNueva;
    function EsNuevo : Boolean;
  end;

implementation

{ TBizTiendaWeb }

uses
  SysUtils, uDataTableUtils, uDataModuleUsuarios;

function TBizTiendaWeb.EsNuevo: Boolean;
begin
  Result := (ID < 0);
end;

procedure TBizTiendaWeb.IniciarValoresTiendaWebNueva;
begin
  ID_EMPRESA := dmUsuarios.IDEmpresaActual;
  TIENDA_ACTIVA := 0;
end;

procedure TBizTiendaWeb.OnNewRecord(Sender: TDADataTable);
begin
  inherited;
  ID := GetRecNo; // -1, -2, -3...
  IniciarValoresTiendaWebNueva;
end;


initialization
  RegisterDataTableRules(BIZ_CLIENT_TIENDAWEB, TBizTiendaWeb);

finalization

end.

